Bug 827135 - F16 regression: laptop no longer suspends on lid close
F16 regression: laptop no longer suspends on lid close
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop3 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 13:28 EDT by Julian Sikorski
Modified: 2013-07-31 20:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:42:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian Sikorski 2012-05-31 13:28:25 EDT
Description of problem:
Since I have upgraded to F-17, closing the laptop lid no longer suspends the machine despite it being configured to do so. upower seems to be aware of the lid close events:

$ gsettings get org.gnome.settings-daemon.plugins.power lid-close-ac-action
'suspend'

$ gsettings get org.gnome.settings-daemon.plugins.power lid-close-battery-action
'suspend'

$ sudo killall upowerd && sudo /usr/libexec/upowerd -v
TI:19:25:15	Starting upowerd version 0.9.16
TI:19:25:15	cannot find a keyboard backlight
TI:19:25:15	excuting command: /usr/bin/pm-is-supported --suspend
TI:19:25:15	excuting command: /usr/bin/pm-is-supported --hibernate
TI:19:25:15	adding swap device: dm-0
TI:19:25:15	daemon now coldplug
TI:19:25:15	registering subsystem : power_supply

(upowerd:21399): GLib-CRITICAL **: g_ascii_strcasecmp: assertion `s1 != NULL' failed
TI:19:25:15	object path = /org/freedesktop/UPower/devices/line_power_ADP0
TI:19:25:15	added native-path: /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/ADP0

TI:19:25:15	added /sys/devices/LNXSYSTM:00/device:00/ACPI0003:00/power_supply/ADP0

(upowerd:21399): GLib-CRITICAL **: g_ascii_strcasecmp: assertion `s1 != NULL' failed
TI:19:25:15	using min design voltage
TI:19:25:15	resetting unknown timeout after 0 retries
TI:19:25:15	object path = /org/freedesktop/UPower/devices/battery_BAT0
TI:19:25:15	using min design voltage
TI:19:25:15	resetting unknown timeout after 0 retries
TI:19:25:15	added native-path: /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0

TI:19:25:15	using id: X51-76
TI:19:25:15	loading 37 items of data from /var/lib/upower/history-rate-X51-76.dat
TI:19:25:15	loading 66 items of data from /var/lib/upower/history-charge-X51-76.dat
TI:19:25:15	loading 37 items of data from /var/lib/upower/history-time-full-X51-76.dat
TI:19:25:15	loading 29 items of data from /var/lib/upower/history-time-empty-X51-76.dat
TI:19:25:15	saving in 600 seconds
TI:19:25:15	added /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
TI:19:25:15	registering subsystem : usb
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.2
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.2
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.2
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.2/usb/hiddev0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.2/usb/hiddev0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.2/usb/hiddev0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb3
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb3
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb3
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb3/3-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb3/3-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb3/3-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb4
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb4
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb4
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb4/4-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb4/4-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/usb4/4-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-0:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.1
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0
TI:19:25:15	failed to coldplug /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0
TI:19:25:15	registering subsystem : tty
TI:19:25:15	failed to coldplug /sys/devices/platform/serial8250/tty/ttyS0
TI:19:25:15	failed to coldplug /sys/devices/platform/serial8250/tty/ttyS1
TI:19:25:15	failed to coldplug /sys/devices/platform/serial8250/tty/ttyS2
TI:19:25:15	failed to coldplug /sys/devices/platform/serial8250/tty/ttyS3
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/console
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/ptmx
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty0
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty1
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty10
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty11
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty12
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty13
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty14
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty15
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty16
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty17
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty18
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty19
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty2
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty20
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty21
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty22
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty23
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty24
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty25
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty26
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty27
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty28
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty29
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty3
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty30
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty31
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty32
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty33
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty34
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty35
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty36
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty37
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty38
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty39
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty4
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty40
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty41
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty42
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty43
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty44
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty45
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty46
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty47
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty48
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty49
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty5
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty50
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty51
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty52
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty53
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty54
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty55
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty56
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty57
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty58
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty59
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty6
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty60
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty61
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty62
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty63
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty7
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty8
TI:19:25:15	failed to coldplug /sys/devices/virtual/tty/tty9
TI:19:25:15	registering subsystem : input
TI:19:25:15	not a switch [/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/../capabilities/sw]
TI:19:25:15	invalid bitmask entry for /sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3
TI:19:25:15	invalid bitmask entry for /sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
TI:19:25:15	not a switch [/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:19/LNXVIDEO:00/input/input9/../capabilities/sw]
TI:19:25:15	invalid bitmask entry for /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:19/LNXVIDEO:00/input/input9
TI:19:25:15	invalid bitmask entry for /sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/device:19/LNXVIDEO:00/input/input9/event8
TI:19:25:15	not a switch [/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2/../capabilities/sw]
TI:19:25:15	invalid bitmask entry for /sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2
TI:19:25:15	invalid bitmask entry for /sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2/event2
TI:19:25:15	not a switch [/sys/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input0/../capabilities/sw]
TI:19:25:15	no device file: /sys/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input0
TI:19:25:15	watching /dev/input/event0 (12)
TI:19:25:15	using /sys/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input0/event0 for lid event
TI:19:25:15	lid_is_closed = no
TI:19:25:15	lid_is_present = yes
TI:19:25:15	added /sys/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input0/event0
TI:19:25:15	not a switch [/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input1/../capabilities/sw]
TI:19:25:15	invalid bitmask entry for /sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input1
TI:19:25:15	invalid bitmask entry for /sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input1/event1
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input15/../capabilities/sw]
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input15
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input15/event14
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input16/../capabilities/sw]
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input16
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input16/event15
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input17/../capabilities/sw]
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input17
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input17/event16
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input18/../capabilities/sw]
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input18
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input18/event17
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input5/../capabilities/sw]
TI:19:25:15	invalid bitmask entry for /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input5
TI:19:25:15	invalid bitmask entry for /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input5/event5
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.1/input/input6/../capabilities/sw]
TI:19:25:15	invalid bitmask entry for /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.1/input/input6
TI:19:25:15	invalid bitmask entry for /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.1/input/input6/event6
TI:19:25:15	invalid bitmask entry for /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.1/input/input6/mouse0
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.2/input/input7/../capabilities/sw]
TI:19:25:15	invalid bitmask entry for /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.2/input/input7
TI:19:25:15	invalid bitmask entry for /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.2/input/input7/event7
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input11/../capabilities/sw]
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input11
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input11/event10
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input12/../capabilities/sw]
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input12
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input12/event11
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input13/../capabilities/sw]
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input13
TI:19:25:15	not a lid: /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event12
TI:19:25:15	not a switch [/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/input/input14/../capabilities/sw]
TI:19:25:15	invalid bitmask entry for /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/input/input14
TI:19:25:15	invalid bitmask entry for /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.6/2-1.6:1.0/input/input14/event13
TI:19:25:15	not a switch [/sys/devices/platform/i8042/serio0/input/input4/../capabilities/sw]
TI:19:25:15	invalid bitmask entry for /sys/devices/platform/i8042/serio0/input/input4
TI:19:25:15	invalid bitmask entry for /sys/devices/platform/i8042/serio0/input/input4/event4
TI:19:25:15	not a switch [/sys/devices/platform/i8042/serio2/input/input10/../capabilities/sw]
TI:19:25:15	invalid bitmask entry for /sys/devices/platform/i8042/serio2/input/input10
TI:19:25:15	invalid bitmask entry for /sys/devices/platform/i8042/serio2/input/input10/event9
TI:19:25:15	invalid bitmask entry for /sys/devices/platform/i8042/serio2/input/input10/mouse1
TI:19:25:15	not a switch [/sys/devices/virtual/input/mice/../capabilities/sw]
TI:19:25:15	not a switch [/sys/devices/virtual/input/mice/capabilities/sw]
TI:19:25:15	Polling docks: NO
TI:19:25:15	is_docked = no
TI:19:25:15	on_battery = no
TI:19:25:15	on_low_battery = no
TI:19:25:15	daemon now not coldplug
TI:19:25:15	excuting command: /usr/sbin/pm-powersave false
TI:19:25:15	total swap available 6191812 kb, active memory 1052240 kb (16.0%)
TI:19:25:15	enough swap to for hibernate
TI:19:25:16	doing the delayed refresh (4)
TI:19:25:16	using min design voltage
TI:19:25:16	resetting unknown timeout after 0 retries
TI:19:25:16	deferring as others queued
TI:19:25:16	emitting changed on /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
TI:19:25:16	emitting device-changed: /org/freedesktop/UPower/devices/battery_BAT0
TI:19:25:17	doing the delayed refresh (3)
TI:19:25:17	using min design voltage
TI:19:25:17	resetting unknown timeout after 0 retries
TI:19:25:17	emitting changed on /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
TI:19:25:17	emitting device-changed: /org/freedesktop/UPower/devices/battery_BAT0
TI:19:25:18	doing the delayed refresh (2)
TI:19:25:18	using min design voltage
TI:19:25:18	resetting unknown timeout after 0 retries
TI:19:25:18	emitting changed on /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
TI:19:25:18	emitting device-changed: /org/freedesktop/UPower/devices/battery_BAT0
TI:19:25:19	doing the delayed refresh (1)
TI:19:25:19	using min design voltage
TI:19:25:19	resetting unknown timeout after 0 retries
TI:19:25:19	emitting changed on /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
TI:19:25:19	emitting device-changed: /org/freedesktop/UPower/devices/battery_BAT0
TI:19:25:19	event.value=1 ; event.code=0 (0x00)
TI:19:25:19	lid_is_closed = yes
TI:19:25:19	emitting changed
TI:19:25:19	event.value=0 ; event.code=0 (0x00)
TI:19:25:19	not a switch event
TI:19:25:19	total swap available 6191812 kb, active memory 1052656 kb (17.0%)
TI:19:25:19	enough swap to for hibernate
TI:19:25:19	total swap available 6191812 kb, active memory 1052656 kb (17.0%)
TI:19:25:19	enough swap to for hibernate
TI:19:25:20	doing the delayed refresh (0)
TI:19:25:20	using min design voltage
TI:19:25:20	resetting unknown timeout after 0 retries
TI:19:25:20	emitting changed on /sys/devices/LNXSYSTM:00/device:00/PNP0C0A:00/power_supply/BAT0
TI:19:25:20	emitting device-changed: /org/freedesktop/UPower/devices/battery_BAT0
TI:19:25:25	event.value=0 ; event.code=0 (0x00)
TI:19:25:25	lid_is_closed = no
TI:19:25:25	emitting changed
TI:19:25:25	event.value=0 ; event.code=0 (0x00)
TI:19:25:25	not a switch event
TI:19:25:25	total swap available 6191812 kb, active memory 1052616 kb (17.0%)
TI:19:25:25	enough swap to for hibernate
TI:19:25:25	total swap available 6191812 kb, active memory 1052616 kb (17.0%)
TI:19:25:25	enough swap to for hibernate


Version-Release number of selected component (if applicable):
upower-0.9.16-1.fc17.x86_64
gnome-settings-daemon-3.4.1-4.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. Upgrade to F-17
2. Boot the machine
3. Close the laptop lid
  
Actual results:
screen goes dim, but this is probably handled by the nvidia driver/firmware

Expected results:
computer suspends

Additional info:
Comment 1 Julian Sikorski 2012-05-31 15:15:46 EDT
Thanks to Ray's support in #fedora-devel I was able confirm that
http://git.gnome.org/browse/gnome-desktop/commit/?id=cc326c09a5d52ba0a627b9cdc3434731d6cfa692
fixes the problem. Could we have that fix incorporated into the Fedora package please?
Comment 2 Jonathan 2012-06-14 18:00:51 EDT
I might have this as well.
Laptop does not suspend on lid close for F17. it worked in F16.
The event is detected but there is no reaction to it.

Nvidia G210M.
Comment 3 Julian Sikorski 2012-06-16 22:28:51 EDT
If you are on x86_64, try these:
http://belegdol.fedorapeople.org/gnome-desktop3/
The fix is upstream, and will be included in Gnome 3.4.2.
Comment 4 Julian Sikorski 2012-06-16 22:37:14 EDT
I meant: it will be included in Gnome 3.4.3.
Comment 5 Jonathan 2012-06-18 19:23:38 EDT
Yes, that solved the issue for me.
Comment 6 Julian Sikorski 2012-08-26 15:38:28 EDT
FYI with the latest nvidia drivers, which implement RandR properly, this patch is no longer needed.
Comment 7 Fedora End Of Life 2013-07-03 18:40:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 20:42:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.